Subject: RE: [Sip] WGLC for draft-ietf-sip-fork-loop-fix-01.txt

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Tue, 11 Apr 2006 12:53:26 +0200

Hi, 

>>Seriously, does the document really need to "explain" why things were
>>done in this-or-that way in 3261? Let's just describe the problem (as
>>the draft does) and fix it...
>Are you referring to the paragraph you quote above? It doesn't explain
>why things are in 3261 - it explains why the SHOULD in _this_ draft
>is a SHOULD and not a MUST.

Ok, my misstake. I thought you were referring to text in 3261.

But still, is it a good idea to talk about what will happen in the "near
future" in a standards document?

Isn't it simply enough to keep the "MUST ensure that request is not
looping through this proxy." statement? The proxy can then use whatever
mechanism to acheive that. 

Because, if we now make the 3261 way a SHOULD, it may in future be too
"strong" due to other mechanisms (outbound etc) proxies may end up
using. The 3261 mechanism can be listed as the "default mechanism".

Regards.

Christer

> -----Original Message-----
> From: Dean Willis [mailto:[email-masked]]
> Sent: 10. huhtikuuta 2006 23:16
> To: [email-masked]
> Cc: Robert Sparks; Keith Drage
> Subject: [Sip] WGLC for draft-ietf-sip-fork-loop-fix-01.txt
>
>
> I'd like to ask the working group to review the "forking loop fix"
> draft preparatory to requesting publication of it as a standards-  
> track
> RFC.
>
>
> The document revised following the Dallas meeting document is
> available from:
>
> http://www.ietf.org/internet-drafts/draft-ietf-sip-fork-loop- 
> fix-01.txt
>
>
>
> I'd like to complete this review by May 7, 2006.
>
> Please send all comments to the list and copy the author,
> [email-masked]
>
> --
> Dean
>
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Robert Sparks <[email-masked]>
Date: Tue, 11 Apr 2006 07:48:54 -0500

On Apr 11, 2006, at 5:53 AM, Christer Holmberg ((JO/LMF)) wrote:

> using.
We had a thread related to this during the week of the Dallas meeting.
Adam pushed to change this SHOULD to a MAY. Later in the week,
Jonathan argued the other direction. The essence of the argument
was that history has shown us proper loop detection without  
misdiagnosing
spirals is hard (as demonstrated at the earlier SIPits) and  
implementations
should use a standardized algorithm - right now the one in 3261 is the
only standardized algorithm we have.

> The 3261 mechanism can be listed as the "default mechanism".
>
> Regards.
>
> Christer
>
>
>
>

---

From: Dean Willis <[email-masked]>
Date: Tue, 11 Apr 2006 21:53:36 -0500

> future" in a standards document?

Let me think. . . .No.

I believe we should deprecate "Future Perfect Tense" because once we  
get there, we'll find out it wasn't [1].

[1] Paraphrased from Douglas Adams.

--
Dean

---

From: "Spencer Dawkins" <[email-masked]>
Date: Wed, 12 Apr 2006 03:58:54 -0500

Yesterday, in my notes on the hitchhiker's guide draft, I mentioned 
including Douglas Adams' work as a reference, but did not realize until I 
saw Dean's note that we're getting to the point where it should be a 
NORMATIVE reference (I'm not sure you can implement current SIP without 
reading it!)...

Thanks,

Spencer

> I believe we should deprecate "Future Perfect Tense" because once we  get 
> there, we'll find out it wasn't [1].
>